package com.ga.core.mapper.contract;

import com.ga.core.vo.contract.AgentContractResp;
import com.ga.core.vo.contract.AgentContractSearchParam;
import com.ga.core.vo.contract.AgentContractVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AgentContractMapper {
    AgentContractResp selectById(@Param("contractId") Long contractId);
    List<AgentContractResp> selectList(AgentContractSearchParam param);
    int insert(AgentContractVO vo);
    int update(AgentContractVO vo);
    int updateStatus(@Param("contractId") Long contractId, @Param("status") String status,
                     @Param("terminatedReason") String terminatedReason);
    int delete(@Param("contractId") Long contractId);
}
